#!/bin/sh

command=$1

if [ "${command}" == "start" ]; then
	(
		flock -x 200
		echo "enable=true" > /usr/syno/etc/mesh/hyfi_mitigation.conf
	) 200>/tmp/lock/hyfi_mitigation_conf
	initctl emit hyfi-mitigation-start
elif [ "${command}" == "stop" ]; then
	(
		flock -x 200
		echo "enable=false" > /usr/syno/etc/mesh/hyfi_mitigation.conf
	) 200>/tmp/lock/hyfi_mitigation_conf
	initctl emit hyfi-mitigation-stop
else
	echo "Invalid command: $1, only accept start / stop"
	exit 1
fi

