#!/bin/sh
ChangeUpdateServer()
{
	local rss_server="http://synovrcap.synodev.com/autoupdate/genRSS.php"
	local rss_server_ssl="https://synovrcap.synodev.com/autoupdate/genRSS.php"
	local small_info_path="https://synovrcap.synodev.com/smallupdate"

	local synoinfos="/etc/synoinfo.conf /etc.defaults/synoinfo.conf"

	for synoinfo in ${synoinfos}; do
		/usr/syno/bin/synosetkeyvalue "${synoinfo}" rss_server ${rss_server}
		/usr/syno/bin/synosetkeyvalue "${synoinfo}" rss_server_ssl ${rss_server_ssl}
		/usr/syno/bin/synosetkeyvalue "${synoinfo}" small_info_path ${small_info_path}
	done
}

case "$1" in
	*)
		ChangeUpdateServer
		if [ ! -z "$1" ] && [ -f "$1" ]; then
			echo "Pre-firt time install start"
			synowebapi --exec \
				api=SYNO.Entry.Request \
				method=request \
				version=1 \
				stop_when_error=false \
				compound="$(jq . -c "$1")"
		else
			echo "$1" ": not found"
		fi
		;;
esac

